import { world, system, ItemStack } from '@minecraft/server';

const seeds = [
	'minecraft:wheat_seeds',
	'minecraft:carrot',
	'minecraft:potato',
	'minecraft:beetroot_seeds'
];

world.afterEvents.itemUseOn.subscribe(e =>{
	let block = e.block;
	let item = e.itemStack;
	let player = e.source;
	system.run(() =>{
		cropModule(item, block, player);
	});
});

function cropModule(i, b, p){
	if(!seeds.includes(i.typeId) || b.typeId != 'raigen:crop_module') return;
	p.runCommand(`clear @s[m=!c] ${i.typeId} 0 1`);
	var crop;
	switch(i.typeId){
		case 'minecraft:wheat_seeds':
			crop = 'wheat';
			break;
		case 'minecraft:carrot':
			crop = 'carrot';
			break;
		case 'minecraft:potato':
			crop = 'potato';
			break;
		case 'minecraft:beetroot_seeds':
			crop = 'beetroot';
			break;
	}
	b.dimension.runCommand(`setblock ${b.x} ${b.y} ${b.z} raigen:${crop}_crop_module`)
}